Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.LTVVerifier Class Reference
Inheritance diagram for FoxitPDFSDKPython3.LTVVerifier:

## Public Member Functions
def | LTVVerifier (document, is_verify_signature, use_expired_tst, ignore_doc_info, time_type)
| Constructor, with parameters. More...
def | LTVVerifier (other)
| Constructor, with another LTV verifier object. More...
def | AddDSS (signature_verify_result)
| Add the verify result (as VRI information) of a signature to the DSS. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetCertChainResolverCallback (callback)
| Set a customized FoxitPDFSDKPython3.CertChainResolverCallback object if user wants to supply extra certificates to complete the certificate chain. More...
def | SetRevocationCallback (callback)
| Set a customized FoxitPDFSDKPython3.RevocationCallback object. More...
def | SetTrustedCertStoreCallback (callback)
| Set a customized FoxitPDFSDKPython3.TrustedCertStoreCallback object if user wants to trust some certificates. More...
def | SetVerifyMode (mode)
| Set the verifying mode to specify which validation process is to be used. More...
def | Verify ()
| Verify all the signatures in the PDF document which is used to constructed current object. More...
def | VerifySignature (signature)
| Verify the target signature in the PDF document which is used to constructed current object. More...

## Static Public Attributes
| e_CurrentTime = _fsdk.LTVVerifier_e_CurrentTime
| Use current time.
| e_SignatureCreationTime = _fsdk.LTVVerifier_e_SignatureCreationTime
| Use signature creation time.
| e_SignatureTSTTime = _fsdk.LTVVerifier_e_SignatureTSTTime
| Use the time of signature time stamp token.
| e_VerifyModeAcrobat = _fsdk.LTVVerifier_e_VerifyModeAcrobat
| Use Acrobat validation process.
| e_VRICreationTime = _fsdk.LTVVerifier_e_VRICreationTime
| Use the creation time of VRI dictionary of a signature. More...

## Detailed Description

LTV verifier is used to verify signature in LTV work flow. Before use this class to verify signature(s), please ensure verify mode has been set by function FoxitPDFSDKPython3.LTVVerifier.SetVerifyMode .
Foxit PDF SDK has a default revocation callback for LTV verifier. If user wants to use customized revocation callback, please refer to function FoxitPDFSDKPython3.LTVVerifier.SetRevocationCallback .
If user wants to trust some certificates, please refer to function FoxitPDFSDKPython3.LTVVerifier.SetTrustedCertStoreCallback .

## Constructor & Destructor Documentation

## ◆ LTVVerifier() [1/2]

def FoxitPDFSDKPython3.LTVVerifier.LTVVerifier | ( |  | document,
|  |  | is_verify_signature,
|  |  | use_expired_tst,
|  |  | ignore_doc_info,
|  |  | time_type
| ) |  |

Constructor, with parameters.

Parameters

  [in] | document | A valid PDF document object.
  [in] | is_verify_signature | (Only available for FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat ) Use to decide whether to verify signature validity when verifying signature or not.
  [in] | use_expired_tst | (Only available for FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat ) Use to decide whether to use expired TST to verify signature or not.
  [in] | ignore_doc_info | (Only available for FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat ) Use to decide whether to ignore the revocation information in DSS and signature or not.
  [in] | time_type | (Only available for FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat ) Use to speicify the time type which is expected to be used for verifying. Please refer to values starting from FoxitPDFSDKPython3.LTVVerifier.e_SignatureCreationTime and this should be one of these values except FoxitPDFSDKPython3.LTVVerifier.e_VRICreationTime .

## ◆ LTVVerifier() [2/2]

def FoxitPDFSDKPython3.LTVVerifier.LTVVerifier | ( |  | other | ) |

Constructor, with another LTV verifier object.

Parameters

  [in] | other | Another LTV verifier object.

## Member Function Documentation

## ◆ AddDSS()

def FoxitPDFSDKPython3.LTVVerifier.AddDSS | ( |  | signature_verify_result | ) |

Add the verify result (as VRI information) of a signature to the DSS.

Parameters

  [in] | signature_verify_result | A signature verify result to be added to DSS.

Returns
  None.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.LTVVerifier.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetCertChainResolverCallback()

def FoxitPDFSDKPython3.LTVVerifier.SetCertChainResolverCallback | ( |  | callback | ) |

Set a customized FoxitPDFSDKPython3.CertChainResolverCallback object if user wants to supply extra certificates to complete the certificate chain.

Parameters

  [in] | callback | A customized cert chain resolver callback object, which is implemented based on callback class FoxitPDFSDKPython3.CertChainResolverCallback . This can be set to null which means not to use it.

Returns
  None.

Note
  Only available when using the default internal revocation callback of Foxit PDF SDK.

## ◆ SetRevocationCallback()

def FoxitPDFSDKPython3.LTVVerifier.SetRevocationCallback | ( |  | callback | ) |

Set a customized FoxitPDFSDKPython3.RevocationCallback object.

If no customized revocation callback is set by this function, Foxit PDF SDK will use a default one.

Parameters

  [in] | callback | A customized revocation callback object, which is implemented based on callback class FoxitPDFSDKPython3.RevocationCallback . This should not be null.

Returns
  None.

## ◆ SetTrustedCertStoreCallback()

def FoxitPDFSDKPython3.LTVVerifier.SetTrustedCertStoreCallback | ( |  | callback | ) |

Set a customized FoxitPDFSDKPython3.TrustedCertStoreCallback object if user wants to trust some certificates.

If no trusted cert store callback object is set by this function, no certificate will be trusted during verifying process.

Parameters

  [in] | callback | A customized trusted cert store callback object, which is implemented based on callback class FoxitPDFSDKPython3.TrustedCertStoreCallback . This can be set to null which means not to use it.

## ◆ SetVerifyMode()

def FoxitPDFSDKPython3.LTVVerifier.SetVerifyMode | ( |  | mode | ) |

Set the verifying mode to specify which validation process is to be used.

Please ensure to set the verify mode before doing verifying.

Parameters

  [in] | mode | The verify mode used for express verify process. Please refer to values starting from FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat and this should be one of these values.

Returns
  None.

## ◆ Verify()

def FoxitPDFSDKPython3.LTVVerifier.Verify | ( |  | ) |

Verify all the signatures in the PDF document which is used to constructed current object.

If verify mode is not FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat , the verifying process will stop immediately when fail to verify any signature and return verify results for successfully verified signatures only. If verify mode is FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat , all the signatures will be verified and return verify results for all the signatures.

Returns
  An array of signature verify results.

## ◆ VerifySignature()

def FoxitPDFSDKPython3.LTVVerifier.VerifySignature | ( |  | signature | ) |

Verify the target signature in the PDF document which is used to constructed current object.

Parameters

  [in] | signature | Target signature to be verified. If verify mode is FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat , this function will verify signatures until target signature. If verify mode is not FoxitPDFSDKPython3.LTVVerifier.e_VerifyModeAcrobat , this function will only verify target signature.

Returns
  An array of signature verify result.

## Member Data Documentation

## ◆ e_VRICreationTime

FoxitPDFSDKPython3.LTVVerifier.e_VRICreationTime = _fsdk.LTVVerifier_e_VRICreationTime
| static

Use the creation time of VRI dictionary of a signature.

Note
  VRI means "validation-related information".